> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-8/v8-1-0-76833.md).

# Version 8.1.0.76833 Changelog (December 4th, 2020)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 8.1.0.76833
* Release Date: December 4th, 2020
* Built with Xcode 12.1 (12A7403)

The [all-new UI](/ios/viewer/new-document-viewer-ui-ios.md) is now out of beta, and is the default UI for the SDK.

This release includes enhanced Apple Pencil support, necessitating Bluetooth permission keys, `NSBluetoothAlwaysUsageDescription` and `NSBluetoothPeripheralUsageDescription`. Please include these in your app's "-Info.plist" file, or your app will not pass the App Store's processing step when uploaded.

The [`PTDocumentViewController`](https://sdk.apryse.com/api/ios/Classes/PTDocumentViewController.html) class is deprecated in this release. For all new projects, the new [`PTDocumentController`](https://sdk.apryse.com/api/ios/Classes/PTDocumentController.html) class should be used instead. The `PTDocumentController` class includes the updated annotation user interface with the [`PTToolGroupToolbar`](https://sdk.apryse.com/api/ios/Classes/PTToolGroupToolbar.html) for a streamlined annotation workflow. Please see our [migration guide](/ios/viewer/new-ui-migration-ios.md) for information on how to adopt the `PTDocumentController` class in your existing project.

In addition to the `PTDocumentViewController` class, the following classes are also deprecated:

* [`PTAnnotationToolbar`](https://sdk.apryse.com/api/ios/Classes/PTAnnotationToolbar.html)
* [`PTCollaborationDocumentViewController`](https://sdk.apryse.com/api/ios/Classes/PTCollaborationDocumentViewController.html)

The [`PTTabbedDocumentViewController`](https://sdk.apryse.com/api/ios/Classes/PTTabbedDocumentViewController.html) class now creates `PTDocumentController` instances by default for document tabs. This behavior can be controlled with the [`PTTabbedDocumentViewController.viewControllerClass`](https://sdk.apryse.com/api/ios/Classes/PTTabbedDocumentViewController.html#/c:objc\(cs\)PTTabbedDocumentViewController\(py\)viewControllerClass) instance property to use the deprecated `PTDocumentViewController` class or a custom subclass.

## New

* Adds an Apple Pencil interaction mode setting to the `PTToolsSettingsManager` to control how Apple Pencil and fingers are treated when creating annotations. The different modes for the new [`PTToolsSettingsManager.pencilInteractionMode`](https://sdk.apryse.com/api/ios/Classes/PTToolsSettingsManager.html#/c:objc\(cs\)PTToolsSettingsManager\(py\)pencilInteractionMode) setting are: The default Apple Pencil interaction mode is to obey the iOS Pencil system setting on iOS 14 and above, and to accept Pencil and finger touches on iOS 13 and below.
  * Apple Pencil and finger touches create annotations.
  * Apple Pencil touches create annotations, fingers pan and zoom.
  * The iOS Pencil system setting is obeyed.
* Shape annotations (rectangle, ellipse, line, arrow) can now be created with a single tap when the respective shape creation tool is active.
* App-wide settings in the [`PTToolsSettingsManager`](https://sdk.apryse.com/api/ios/Classes/PTToolsSettingsManager.html) can now be accessed from the viewer via the [`appSettingsButtonItem`](https://sdk.apryse.com/api/ios/Classes/PTDocumentBaseViewController.html#/c:objc\(cs\)PTDocumentBaseViewController\(py\)appSettingsButtonItem). By default, this item is hidden. The [`appSettingsButtonHidden`](https://sdk.apryse.com/api/ios/Classes/PTDocumentBaseViewController.html#/c:objc\(cs\)PTDocumentBaseViewController\(py\)appSettingsButtonHidden) property can be used to show this item in the more-items list from the ellipsis button in the navigation bar.
* The magnification loupe will not be shown when creating text markup annotations with an Apple Pencil.
* It is now possible to specify the [`UIDatePickerStyle`](https://developer.apple.com/uikit/uidatepickerstyle?language=objc) for form widgets which use a date picker. This can be controlled with the following API: [`PTWidgetAnnotationOptions.preferredDatePickerStyle`](https://sdk.apryse.com/api/ios/Classes/PTWidgetAnnotationOptions.html#/c:objc\(cs\)PTWidgetAnnotationOptions\(py\)preferredDatePickerStyle).

## Other bug fixes

* Fixes a problem with selecting rects on rotated pages or when the PDFViewCtrl is rotated.
* Fixes an issue where ink annotations could not be created on a different page to an in-progress annotation.
* Fixes an issue where a rectangle annotation's size and position may be incorrect on rotated pages.
* Fixes an issue where the [`[PTTabbedDocumentViewControllerDelegate willAddDocumentViewController:]`](https://sdk.apryse.com/api/ios/Protocols/PTTabbedDocumentViewControllerDelegate.html#/c:objc\(pl\)PTTabbedDocumentViewControllerDelegate\(im\)tabbedDocumentViewController:willAddDocumentViewController:) method may not get called.
* Fixes an issue where the positions of the [`PTTextSearchViewController`](https://sdk.apryse.com/api/ios/Classes/PTTextSearchViewController.html)'s highlighted search results may be incorrect.
* Fixes an issue where the [`PTFloatingSigViewController`](https://sdk.apryse.com/api/ios/Classes/PTFloatingSigViewController.html) might not be dismissible.

## New cross-platform APIs

This release of Apryse for iOS brings the core PDF functionality inline with version 8.1.0 of the Apryse cross-platform APIs. More information can be found on [What's new for cross-platform APIs](/core/changelogs/version-8/8-1-0.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-8/v8-1-0-76833.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
